# Uses of Interface
org.eclipse.gef.mvc.fx.parts.IBendableContentPart

Packages that use IBendableContentPart
Package
Description
org.eclipse.gef.mvc.fx.operations
This package contains all `IUndoableOperation` implementations contributed by MVC.FX.
org.eclipse.gef.mvc.fx.policies
This package contains all `IPolicy` implementations contributed by MVC.FX.

## Uses of IBendableContentPart in org.eclipse.gef.mvc.fx.operations

Methods in org.eclipse.gef.mvc.fx.operations that return IBendableContentPart
Modifier and Type
Method
Description
`IBendableContentPart<? extends javafx.scene.Node>`
BendVisualOperation.`getPart()`
Constructors in org.eclipse.gef.mvc.fx.operations with parameters of type IBendableContentPart
Modifier
Constructor
Description
``
`BendContentOperation(IBendableContentPart<? extends javafx.scene.Node> bendableContentPart, List<IBendableContentPart.BendPoint> initialBendPoints, List<IBendableContentPart.BendPoint> finalBendPoints)`
Creates a new `BendContentOperation` to resize the content of the given `IResizableContentPart`.
``
`BendVisualOperation(IBendableContentPart<? extends javafx.scene.Node> part)`

## Uses of IBendableContentPart in org.eclipse.gef.mvc.fx.policies

Methods in org.eclipse.gef.mvc.fx.policies that return IBendableContentPart
Modifier and Type
Method
Description
`IBendableContentPart<Connection>`
BendConnectionPolicy.`getHost()`